﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace XKRS.Common.Interface
{
    public interface IProcess:ILogger,IExceptionHandler
    {


        /// <summary>
        /// 流程使用的硬件设备集合
        /// </summary>
        List<IDevice> DeviceCollection { get; set; }


        /// <summary>
        /// 初始化Process
        /// </summary>
        /// <param name="configPath"></param>
        void InitialProcess(string configPath);



    }
}
